Bug 57022 - /net support: why not autofs v4 ?
/net support: why not autofs v4 ?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-03 09:41 EST by diego.santacruz
Modified: 2007-04-18 12:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-18 11:44:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description diego.santacruz 2001-12-03 09:41:40 EST
Description of Problem:

RedHat Linux (as of 7.2 at least) still uses autofs v3, which does not
support Sun style /net mounts.
Why is that autofs v4 is still not used? From the discusions on the net it
appears to work properly, and does support /net.

Currently one has to resort to am-utils to have /net support, which is not
as good as autofs (amd results in double NFS).

Version-Release number of selected component (if applicable):
3.1.7-21

How Reproducible:

Always.


Steps to Reproduce:
1. rpm -q autofs
2. 
3. 

Actual Results:
No /net support.

Expected Results:
Support for /net

Additional Information:
Comment 1 George Karabin 2002-01-12 04:19:32 EST
I noticed here (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=16806
) that after for the 7.0 release, the autofs-4 daemon wasn't quite ready. It
appears to be now, AFAIK. The autofs-4 author posted this message last fall:

http://www.mail-archive.com/autofs%40linux.kernel.org/msg01834.html

where he says that the current release seems stable.

Comment 2 Ben Liblit 2002-01-28 20:26:56 EST
For the record, Mandrake now has autofs v4 in their "Cooker" test distribution
and in their recently announced 8.2beta.

I've been using autofs v4 with Red Hat for months, and it works great.  The only
problem is remembering to install it over Red Hat's standard v3 on each upgrade.

Count me as one more vote in favor of autofs v4 as a standard Red Hat feature.
Comment 3 diego.santacruz 2002-06-26 06:11:26 EDT
Any news on the future inclusion of autofs v4?

I've been using it for months without problems, with various kernels (2.4.9-*
series and 2.4.18-{3,4,5}). The support for multimounts is great.

Why not consider replacing autofs v3 with v4 now that it works again?
BTW, the /net support of autofs is much much better than the one of amd
(shutdown of /net in amd is flaky).
Comment 4 Jeffrey Moyer 2004-03-18 11:44:51 EST
autofs userspace has been updated to 4.1.0 for FC test2.

Note You need to log in before you can comment on or make changes to this bug.